mscorlib 1.0.5000.0 2.0.0.0 System.MarshalByRefObject System.IDisposable A registry directory containing keys and values. To be added.
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` The subkey. Creates the given subkey. The newly created key. The subkey is case insensitive. Mono internally transforms the subkey into a lowercase version to ensure portability. This might have the undesired side effect that the returned value will be lowercase when enumerating keys. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  Microsoft.Win32.RegistryKey `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void Ensures that all changes done to this RegistryKey are stored on disk. Mono will save any changes done to the RegistryKey after a certain period of time (to batch multiple changes to the registry on a single write operation), but users might want to use Flush to ensure that the data is written at that point in time. 1.0.5000.0 2.0.0.0
- Method
  System.Security.AccessControl.RegistrySecurity To be added. To be added. To be added. 2.0.0.0
- Method
  System.Security.AccessControl.RegistrySecurity `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` The name of the key to lookup in the RegistryKey. Retrieves the value stored for the given key. The value stored, or null if the given key does not exist on the Registrykey. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` The name of the key in the RegistryKey. If a value has not been set on the RegistryKey for this value, a value to return. Retrives the value stored for the given key, or returns a default value if not found. The value associated with the key on the RegistryKey or the default value if not found. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  Microsoft.Win32.RegistryValueKind `` To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.String[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String The full name for this RegistryKey. To be added. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  Microsoft.Win32.RegistryKey `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  Microsoft.Win32.RegistryKey `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` `` The key to the value being stored. The value to store. Only int, string, byte arrays (byte[]) and string arrays (string[]) can be stored. Stores a value that can be looked up by name. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 System.Runtime.InteropServices.ComVisible(false)
- Property
  System.Int32 The number of subkeys under this RegistryKey. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The number of values stored on this RegistryKey. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)